Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

# read_write_mutex.h File Reference

## Detailed Description

A read/write mutex.

`#include <openvrml-common.h>`
`#include <boost/thread/mutex.hpp>`
`#include <boost/thread/condition.hpp>`

Include dependency graph for read_write_mutex.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | openvrml

## Classes

class | openvrml::read_write_mutex
| A read/write mutex with an interface that follows the patterns established in the Boost thread library. More...
class | openvrml::read_write_mutex::scoped_read_lock
| Lock the mutex for read access. More...
class | openvrml::read_write_mutex::scoped_write_lock
| Lock the mutex for write access. More...
class | openvrml::read_write_mutex::scoped_read_write_lock
| Lock the mutex for read/write access. More...